=== plan/plugins/CMakeLists.txt ===
if(SHOULD_BUILD_SCRIPTING)
  add_subdirectory(scripting)
endif(SHOULD_BUILD_SCRIPTING)

add_subdirectory(schedulers)

add_subdirectory(filters)
