=== debian/changelog ===
calligra (1:2.8.5-0ubuntu6~ubuntu14.04~ppa1) trusty; urgency=medium

  * Trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 15:24:58 +0000

calligra (1:2.8.5-0ubuntu6) utopic; urgency=medium

  * Build-dep on libsoprano not nepomuk, calligra uses rdf internally
    for ODF features but does not use nepomuk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 12:17:58 +0200

calligra (1:2.8.5-0ubuntu5) utopic; urgency=medium

  * Rebuild against libmarblewidget19 on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jul 2014 00:33:33 +0100

calligra (1:2.8.5-0ubuntu4) utopic; urgency=medium

  * calligrawords-data breaks/replaces calligrawords-common << 1:2.8.5~ 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 23 Jul 2014 01:53:01 +0200

calligra (1:2.8.5-0ubuntu3) utopic; urgency=medium

  * calligraflow-data replaces old calligraworks-data for moved file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jul 2014 12:56:56 +0200

calligra (1:2.8.5-0ubuntu2) utopic; urgency=medium

  * Remove upstream_libodfgen-0.1.diff
  * Add upstream_switch-to-librevenge-based-import-libs.patch from upstream to
    compile with new librevenge and deps libodfgen, libwpg, libetonyek etc
  * calligraflow replaces old karbon for moved filter

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jul 2014 09:11:47 +0000

calligra (1:2.8.5-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add upstream_libodfgen-0.1.diff from upstream to compile with
    libodfgen-0.1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Jul 2014 10:31:18 +0200

calligra (1:2.8.3-0ubuntu1build1) utopic; urgency=medium

  * No change rebuild against new libexiv2-13

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Jul 2014 15:47:24 +1200

calligra (1:2.8.3-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream relase 

  [ Jonathan Riddell ]
  * use -DPRODUCTSET=ALL rather than patch, remove
    kubuntu_build_calligraactive.diff

  [ Philip Muškovac ]
  * New upstream release (LP: #1326002)
  * Fix syntax of not-installed 
  * Add calligrawords_ascii.desktop to calligrawords.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 May 2014 15:54:38 +0100
